Ubuntu

“pyatspi” 1.91.5-0ubuntu1 source package in Ubuntu

Changelog

pyatspi (1.91.5-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixed generateKeyboardEvent, description, and allModifiers.
    - Added a dummy stateset.unref function for backwards compatibility.
    - Added a pumpQueuedEvents stub.
    - Added RELATION_EMBEDDED_BY.
    - Hide children attribute since it is currently broken and caused a crash
      with Accerciser.
    - Wrap event type so that sub-fields can be accessed.
    - Added a dummy freeMatchRule function.
    - Attribute fixes.
    - __getitem__ now supports negative indices.
    - Fixed some properties, relationToString, listInterfaces, various text
      methods.
    - Raise notImplementedError when querying unimplemented interfaces.
    - This is a major refactor using the C-based libatspi as a core.  This should
      significantly improve performance.  However, this release is very buggy and
      is more of a development snapshot than a usable release.
  * Add pkg-config to build-depends
  * python-pyatspi2 should depend on python-gobject and gir1.2-atspi-2.0
 -- Luke Yelavich <email address hidden>   Tue, 11 Jan 2011 22:58:57 -0600

Upload details

Uploaded by:
Luke Yelavich on 2011-01-12
Uploaded to:
Natty
Original maintainer:
Luke Yelavich
Component:
universe
Architectures:
all
Section:
misc
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Natty: [FULLYBUILT] i386

Downloads

File Size MD5 Checksum
pyatspi_1.91.5.orig.tar.bz2 312.5 KiB 4c2639bd8552f97115b07e8cdf5bd719
pyatspi_1.91.5-0ubuntu1.debian.tar.bz2 2.5 KiB c0f537039d794dc2ab483b486eb1a3e8
pyatspi_1.91.5-0ubuntu1.dsc 1.4 KiB 9198036bb03b14d2c5390e98e494400f

Binary packages built by this source

python-pyatspi2: No summary available for python-pyatspi2 in ubuntu natty.

No description available for python-pyatspi2 in ubuntu natty.